import { AEMAllowedComponentsContainerComponent } from '../aem-allowed-components-container/aem-allowed-components-container.component';
export declare class AEMResponsiveGridComponent extends AEMAllowedComponentsContainerComponent {
    /**
     * Class names associated with the current responsive grid
     */
    gridClassNames: string;
    /**
     * Map of class names corresponding to each child of the current responsive grid
     */
    columnClassNames: Object;
    /**
     * Class names of the current component
     */
    classNames: string;
    /**
     * Current number of columns of the grid
     */
    columnCount: number;
    /**
     * Returns the column class names for a given column
     * @param itemKey - The key of the column item
     */
    getColumnClassNames(itemKey: string): any;
    /**
     * Returns the placeholder classes
     */
    getPlaceholderClassNames(): string;
    /**
     * Returns the class names of the responsive grid based on the data from the cqModel
     */
    getHostClassNames(): string;
    /**
     * Returns the aggregated path of this container path and the provided path
     *
     * @param path - the provided path to aggregate with the container path
     */
    getAttrDataPath(path: any): any;
}
