import { AEMComponentDirective } from "../aem-component.directive";
export declare class AEMModelProviderComponent {
    /**
     * Path to the model associated with the current instance of the component
     */
    cqPath: any;
    /**
     * Model item associated with the current model provider component
     */
    cqItem: any;
    /**
     * Name of the item associated with the current model provider component
     */
    itemName: any;
    aemModelProvider: any;
    aemComponent: AEMComponentDirective;
    constructor();
    /**
     * Updates the item data
     */
    updateItem(): void;
    ngOnInit(): void;
    ngDestroy(): void;
}
